Cygport Reference Manual

### TABLE OF CONTENTS

- Testing

- cygtest
- src_test

## Testing

[ Top ] [ Chapter 9 ] [ Concepts ]

## cygtest

[ Top ] [ Testing ] [ Testsuite Functions ]

SYNOPSIS

      cd $B
      cygtest

DESCRIPTION

Runs the package testsuite with 'make check' or 'make test'.

## src_test

[ Top ] [ Testing ] [ Testsuite Functions ]

DESCRIPTION

This function is to be defined in the .cygport file, listing all steps necessary to run the package's test suite, if any.

The default src_test function is shown below. A few cygclasses provide their own src_test overrides.

DEFINITION

    src_test() {
            cd ${B}
            cygtest
    }